cereal::DeferredData< T > Class Template Reference

A wrapper around data that should be serialized after all non-deferred data. More...

`#include </build/libcereal-1YEeuZ/libcereal-1.3.0/include/cereal/details/helpers.hpp>`

Inheritance diagram for cereal::DeferredData< T >:

## Public Member Functions

| DeferredData (T &&v)
| Constructs a new NameValuePair. More...

## Public Attributes

Type | value

## Related Functions

(Note that these are not member functions.)
template<class T >
DeferredData< T > | defer (T &&value)
| Marks data for deferred serialization. More...

## Detailed Description

### template<class T>
class cereal::DeferredData< T >

A wrapper around data that should be serialized after all non-deferred data.

This class is used to demarcate data that can only be safely serialized after any data not wrapped in this class.

## Constructor & Destructor Documentation

## DeferredData()

template<class T>

cereal::DeferredData< T >::DeferredData | ( | T && | v | ) |

inline

Constructs a new NameValuePair.

Parameters

  v | The value to defer. Ideally this should be an l-value reference so that the value can be both loaded and saved to. If you pass an r-value reference, the DeferredData will store a copy of it instead of a reference. Thus you should only pass r-values in cases where this makes sense, such as the result of some size() call.

The documentation for this class was generated from the following files:

- /build/libcereal-1YEeuZ/libcereal-1.3.0/include/cereal/details/helpers.hpp
- /build/libcereal-1YEeuZ/libcereal-1.3.0/include/cereal/cereal.hpp